×
Ruby on Rails: постинг твитов через Twitter API (04 нояб 2017)

Практикуемся в Ruby on Rails.

Идея Upgrade Kunena 1.6.1 to 1.6.2

Больше
6 года 10 мес. назад #1 от Aleksej
Aleksej создал эту тему: Upgrade Kunena 1.6.1 to 1.6.2
Как обновиться с версии 1.6.1 до 1.6.2?

Сразу скажу - вы можете удалить старую версию, а затем поставить новую; можете сделать и по-другому - поставить поверх. И так и эдак - будет работать.

Но на официальном форуме Kunena рекомендуют не заморачиваться и просто ставить поверх. Что же, им виднее:

I'm pleased to hear that the upgrade went well.

For the many users who ask this similar question, upgrading within the same version of Kunena is straightforward case using the Joomla Extension Manager and installing Kunena with a different installation kit. So if you were, for example going from K 1.5.8 to K 1.5.13 you would simply install Kunena using the K 1.5.13 installation kit. Likewise, if you are going from K 1.6.1 to K 1.6.2 you would use the same approach. This is one of the really good features about Kunena. You don't need to uninstall Kunena in order to upgrade Kunena!

But, with K 1.6 there's an added benefit. You can upgrade and downgrade using the K 1.6 installer! This means that you can easily upgrade from, say, K 1.5.13 to K 1.6.2 and you can go back to K 1.5.13 if the installation was unsuccessful!

Of course there are a couple of small catches to this general statement. The main catch is this: if you have made any changes to the standard, core Kunena source code as distributed with the installation then you will lose those changes when you upgrade. But this means that if you add anything later, you won't lose those additions and, with K 1.6, those additions should also work when you upgrade.

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Больше
6 года 10 мес. назад #2 от sphere_kev
sphere_kev ответил в теме Re: Upgrade Kunena 1.6.1 to 1.6.2
Интересно, проблема с ВВ-кодами в нем(1.6.2) решена?...

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Больше
6 года 10 мес. назад - 6 года 10 мес. назад #3 от Aleksej
Aleksej ответил в теме Re: Upgrade Kunena 1.6.1 to 1.6.2

sphere_kev пишет: Интересно, проблема с ВВ-кодами в нем(1.6.2) решена?...

Так проблемы с BB-кодами там, собственно говоря, и не было. Это скорее следствие.
Прочитайте внимательно текст по приведенной мной ссылке .

Речь о том, что конфликт способно вызвать некое расширение, подгружающее JavaScript. Либо причиной - некая ошибка на сайте, но - не ошибка разработчиков kunena:

It usually means that you have installed a template, plugin or module that tries to load its own JavaScript library which is not compatible with Mootools 1.2.
Or you may have broken JavaScript somewhere in your page -- especially IE is very sensitive to the smallest errors and just gives up when it sees a potential problem.

Это обычно означает, что Вы установили шаблон, plugin или модуль, пробующий подгрузить собственную библиотеку JavaScript, которая не совместима с Mootools 1.2.
Или Вы, возможно, нарушили JavaScript где-нибудь на вашей странице - особенно Internet Explorer очень чувствителен к мельчайшим ошибкам такого рода...

Далее Matias предлагает несложные и доступные даже для новичка способы решения проблемы - инспекция кода и отключение по одному расширений, чтобы выяснить - какое именно из них вызывает конфликт:

Usually the easiest way to solve JavaScript issues in your site starts with a quick look into HTML source code. Even if it may sound frightening, it's actually pretty simple task that can be done by using your browser. It doesn't matter if you don't know how to read HTML either -- we are just trying to find simple patterns from it.
Обычно самый легкий способ решить вопросы JavaScript вашего сайта начинается с быстрого взгляда в исходный текст HTML. Даже если это может казаться пугающим, это - фактически довольно простая задача, которая может быть осуществлена посредством использования вашего браузера. Это неважно, если Вы не знаете, как прочитать HTML любой - мы только пробуем найти простые фрагменты.

Очень вероятно, что проблема именно в одном из ваших расширений, конфликтующих с kunena. У меня было нечто подобное , еще когда использовал версию kunena 1.5* - конфликтовал модуль меню (mod_superfishmenu), что было отчетливо видно в firebug. Кстати, усиленно рекомендую попробовать это расширение для Mozilla Firefox: незаменимый инструмент для такого рода аудита. Вроде бы - Matias забыл упомянуть о нем. :)

Резюме монолога Матиаса заключается в следующем - ищите либо допущенную вами ошибку, либо расширение Joomla, вызывающее конфликт (оптимальный способ - отключать по одному установленные расширения, выявляя таким образом причину конфликта):

Now you do the previous steps in reverse order and put template / plugins / modules back one by one. Every time you should take a look if the issue has been fixed. Eventually you will find all the extensions which are incompatible with Kunena.
Теперь Вы делаете предыдущие шаги в обратном порядке и включаете шаблон / plugins / модули один за другим. Каждый раз необходимо взглянуть, появилась ли проблема. В конечном счете Вы найдете все расширения, которые являются несовместимыми с Kunena.

Последнее редактирование: 6 года 10 мес. назад от Aleksej.
Спасибо сказали: sphere_kev

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Больше
6 года 10 мес. назад #4 от sphere_kev
sphere_kev ответил в теме Re: Upgrade Kunena 1.6.1 to 1.6.2
Спасибо за пояснения, Алексей.
Ну, если следовать логике, то включенный Mootools Upgrade и ненарушившаяся при этом функциональность сайта, одновременно native режим Joomla - означают, что все должно стать и нормально работать... Об этом написано было на сайте кунены для тестирования рсовместимости сайта с CMS. А тут - такие чудеса и не один раз... А разработчики только раздуплились, что имеется такая проблема, которая является не их проблемой... Как-то немного некультурно с их стороны.... Тогда было бы правильным написать, что во избежании конфликтов необходимо снести с сайта все расширения и плагины... а лучше - воздержаться от апгрейда...:laugh: Сорри... Просто как подумаю, что этот апгрейд понесет за собой переделку практически всего, отслеживание конфликтующих модулей и приложений, потом поиск замены для них, связка воедино с СВ и очередная реставрация SEF-ссылок.... Да пошел он на фиг, этот новый форум - проще новый сайт с нуля сделать, чем переводить с таким гемором... Имхо.

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Больше
6 года 10 мес. назад - 6 года 10 мес. назад #5 от Aleksej
Aleksej ответил в теме Re: Upgrade Kunena 1.6.1 to 1.6.2

sphere_kev пишет: если следовать логике, то включенный Mootools Upgrade и ненарушившаяся при этом функциональность сайта, одновременно native режим Joomla - означают, что все должно стать и нормально работать...

Нет. Совершенно нелогично и не означает.
Если мы с вами напишем то или иное расширение для Joomla - разве сумеют разработчики kunena гарантировать, что наш новый модуль будет совместим с kunena?
Пишут ведь все кому не лень.

Думаю, все не так страшно; мне в бытность потребовалось только заменить модуль меню.
Последнее редактирование: 6 года 10 мес. назад от Aleksej.

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Больше
6 года 10 мес. назад - 6 года 10 мес. назад #6 от Aleksej
Aleksej ответил в теме Re: Upgrade Kunena 1.6.1 to 1.6.2
К слову; вот avtomastersu выявил траблы между kunena 1.6.2 и mod_swmenufree... на моей памяти это уже в который раз, и каждый раз конфликтовал именно модуль меню.

Что неудивительно... все меню, как правило, используют java-скрипты.
Думаю, и у вас примерно то же самое.
Последнее редактирование: 6 года 10 мес. назад от Aleksej.

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Больше
6 года 9 мес. назад - 5 года 2 мес. назад #7 от anatole
anatole ответил в теме Re: Upgrade Kunena 1.6.1 to 1.6.2
Конфликт MooTools с Kunena

Еще по теме.
Последнее редактирование: 5 года 2 мес. назад от Aleksej.

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.